Subject: Guile 3.0: &assertion undefined in (rnrs conditions (6))

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 20 Jan 2020 23:31:48 +0100

The module (rnrs conditions (6)) exports &assertion but renames the
imported &assertion-failure to &assertion-violation (not &assertion).
Programs using &assertion from (rnrs conditions) fail with an unbound
variable error.

Using &violation instead of &assertion works.

--
Ricardo